1043be9786a90fc7c0a96f48da03840af6ecb154
[openwrt/openwrt.git] / package / mac80211 / patches / 009-remove_mac80211_module_dependence.patch
1 --- a/config.mk
2 +++ b/config.mk
3 @@ -43,21 +43,6 @@ $(error "ERROR: Your 2.6.27 kernel has C
4 endif
5 endif
6
7 -# This is because with CONFIG_MAC80211 include/linux/skbuff.h will
8 -# enable on 2.6.27 a new attribute:
9 -#
10 -# skb->do_not_encrypt
11 -#
12 -# and on 2.6.28 another new attribute:
13 -#
14 -# skb->requeue
15 -#
16 -ifeq ($(shell test $(KERNEL_SUBLEVEL) -ge 27 && echo yes),yes)
17 -ifeq ($(CONFIG_MAC80211),)
18 -$(error "ERROR: Your >=2.6.27 kernel has CONFIG_MAC80211 disabled, you should have it CONFIG_MAC80211=m if you want to use this thing.")
19 -endif
20 -endif
21 -
22 ifneq ($(KERNELRELEASE),) # This prevents a warning
23
24 ifeq ($(CONFIG_NET_SCHED),)